Bug 1886062 - Logging may be broken due to mix of k8s.io/klog v1 and v2
Summary: Logging may be broken due to mix of k8s.io/klog v1 and v2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.z
Assignee: Tom Herbert
QA Contact: Mike Fiedler
URL:
Whiteboard:
Depends On: 1909290
Blocks: 1885236 1885237
TreeView+ depends on / blocked
 
Reported: 2020-10-07 15:13 UTC by Tom Herbert
Modified: 2021-02-01 15:24 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1886060
: 1909290 (view as bug list)
Environment:
Last Closed: 2021-02-01 15:24:32 UTC
Target Upstream Version:
therbert: needinfo-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ovn-kubernetes pull 391 0 None closed Bug 1886062: Backport klog v2 changes to 4.6 2021-02-02 20:58:05 UTC
Github ovn-org ovn-kubernetes pull 1817 0 None closed Changes klog to klog v2 consistent with upstream kubernetes. 2021-02-02 20:58:06 UTC
Red Hat Product Errata RHBA-2021:0235 0 None None None 2021-02-01 15:24:55 UTC

Comment 1 Tom Herbert 2020-10-28 16:18:19 UTC
This bug will be addressed by a pull request to upstream ovn-kubernetes.

Comment 2 Tom Herbert 2020-10-30 13:09:54 UTC
PR submitted to upstream ovn-kubernetes:


https://github.com/ovn-org/ovn-kubernetes/pull/1786

Comment 6 Mike Fiedler 2021-01-22 19:38:36 UTC
$ strings ovnkube | grep klog
...
dep     k8s.io/klog     v1.0.0
dep     k8s.io/klog/v2  v2.0.0


Looks like v1 is still vendored but not used.

$ strings ovnkube | egrep "klog\/v2 v2.0.0|20201015054608-420da100c033"
dep     k8s.io/utils    v0.0.0-20201015054608-420da100c033

verified on 4.6.0-0.nightly-2021-01-22-095237

Comment 9 errata-xmlrpc 2021-02-01 15:24:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.15 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:0235


Note You need to log in before you can comment on or make changes to this bug.